// ====================================================================
// Allan CORNET
// DIGITEO 2010
// ====================================================================
tlbxs = atomsGetInstalled();
if grep(tlbxs, 'mingw') <> [] then
  atomsLoad("mingw");
else
  root_path = getenv('TOOLBOX_MINGW_PATH', '');
  if root_path <> '' then 
    exec(root_path + 'loader.sce'); 
  end 
end
// ====================================================================
ilib_verbose(0);
// ====================================================================
// <-- JVM NOT MANDATORY -->
// ====================================================================
    sourcecode=['subroutine incrdoublef90(x,y)'
                '  implicit none'
                '  double precision, intent(in) :: x'
                '  double precision, intent(out) :: y'
                '  y=x+1'
                'end subroutine incrdoublef90'];
    cd(TMPDIR);
    mputl(sourcecode,'incrdoublef90.f90');
    libpath=ilib_for_link('incrdoublef90','incrdoublef90.f90',[],'f');
    exec('loader.sce');
    n = 1.;
    m = call("incrdoublef90",n,1,"d","out",[1,1],2,"d");
    if abs(m-2.)>%eps then pause,end
    n = 2.;
    m = call("incrdoublef90",n,1,"d","out",[1,1],2,"d");
    if abs(m-3.)>%eps then pause,end
// ====================================================================
