// ====================================================================
// Allan CORNET
// DIGITEO 2010
// ====================================================================
tlbxs = atomsGetInstalled();
if grep(tlbxs, 'mingw') <> [] then
  atomsLoad("mingw");
else
  root_path = getenv('TOOLBOX_MINGW_PATH', '');
  if root_path <> '' then 
    exec(root_path + 'loader.sce'); 
  end 
end
// ====================================================================
ilib_verbose(0);
// ====================================================================
// <-- JVM NOT MANDATORY -->
// ====================================================================
foo=['void foo(double *a,double *b,double *c)';
     '{ *c = *a + *b; }'  ];

// we use TMPDIR for compilation 
	
if ~c_link('foo') then
  curPath = pwd(); 
  chdir(TMPDIR); 
  mputl(foo,'foo.c');
  
  ilib_for_link(['foo'],'foo.c',[],"c");

  // load the shared library 
  exec loader.sce ;
  chdir(curPath) ;
end	

//5+7 by C function
v = call('foo',5,1,'d',7,2,'d','out',[1,1],3,'d');
if v <> 12 then pause,end
// ====================================================================
